Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v4
Class ListConsultationRequestType

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.RequestType
          be.fgov.ehealth.commons.protocol.v2.PaginationRequestType
              be.fgov.ehealth.dics.protocol.v4.ListConsultationRequestType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  GetListOfActualMedicinalProductPackagesRequest, GetListOfActualMedicinalProductsRequest, GetListOfVirtualMedicinalProductsRequest, GetListOfVmpGroupsRequest

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:36:45+02:00",
               comments="JAXB RI v2.2.11")
    public class ListConsultationRequestType

extends PaginationRequestType
implements Serializable

Java class for ListConsultationRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ListConsultationRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}PaginationRequestType">
           <attribute name="Delta" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ListConsultationRequestType()`

Method Summary
`org.joda.time.DateTime` | `getDelta()` Gets the value of the delta property.
`void` | `setDelta(org.joda.time.DateTime value)` Sets the value of the delta property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.PaginationRequestType
`getMaxElements, getOffset, setMaxElements, setOffset`

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType
`getId, getIssueInstant, setId, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListConsultationRequestType

    public ListConsultationRequestType()

Method Detail

### getDelta

    public org.joda.time.DateTime getDelta()

  Gets the value of the delta property.

  Returns:
    possible object is `String`

### setDelta

    public void setDelta(org.joda.time.DateTime value)

  Sets the value of the delta property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.